<?php

declare (strict_types = 1);

namespace App\Task;

use Hyperf\Contract\StdoutLoggerInterface;
use Hyperf\DbConnection\Db;
use Hyperf\Di\Annotation\Inject;
use Psr\Log\LoggerInterface;
use App\Controller\PublicController;

class HistoryTodayTask
{
    /**
     * @Inject
     * @var StdoutLoggerInterface
     */
    private $logger;
    private $publicController;
    public function __construct(LoggerInterface $logger,  PublicController $publicController)
    {
        date_default_timezone_set('Asia/Shanghai');
        $this->logger = $logger;
        $this->publicController = $publicController;
    }
    public function __invoke()
    {
        $this->logger->info('HistoryTodayTask');
        $this->publicController->addHistoryToday();

    }

}
