<?php

declare (strict_types = 1);

use App\Controller\WebsiteController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/website', function () {
        //添加网站
        Router::post('/addWebsite', [WebsiteController::class, 'addWebsite']);
        //获取网站列表
        Router::get('/getWebsiteList', [WebsiteController::class, 'getWebsiteList']);
        //更新网站
        Router::post('/updateWebsite', [WebsiteController::class, 'updateWebsite']);
        //删除网站
        Router::post('/delWebsite', [WebsiteController::class, 'delWebsite']);
        //获取网站信息
        Router::get('/getWebsiteInfo', [WebsiteController::class, 'getWebsiteInfo']);
        //获取网站 网系
        Router::get('/getWebsiteColumn', [WebsiteController::class, 'getWebsiteColumn']);
        //获取网站 网系
        Router::get('/getWebsiteColumnList', [WebsiteController::class, 'getWebsiteColumnList']);
        //创建网站网系
        Router::post('/addWebsiteColumn', [WebsiteController::class, 'addWebsiteColumn']);
        //更新网站网系
        Router::post('/updateWebsiteColumn', [WebsiteController::class, 'updateWebsiteColumn']);
        //删除网站网系
        Router::post('/delWebsiteColumn', [WebsiteController::class, 'delWebsiteColumn']);

        Router::get('/getWebsiteRoleList', [WebsiteController::class, 'getWebsiteRoleList']);
        Router::post('/createWebsiteRole', [WebsiteController::class, 'createWebsiteRole']);
        Router::post('/delWebsiteRole', [WebsiteController::class, 'delWebsiteRole']);
        Router::get('/getWebsiteRoleUserList', [WebsiteController::class, 'getWebsiteRoleUserList']);
        Router::post('/createWebsiteRoleUser', [WebsiteController::class, 'createWebsiteRoleUser']);
        Router::post('/delWebsiteRoleUser', [WebsiteController::class, 'delWebsiteRoleUser']);
        
        //获取分类下模板列表
        Router::get('/getTemplate', [WebsiteController::class, 'getTemplate']);
        //获取分类下模板列表
        Router::post('/addTemplate', [WebsiteController::class, 'addTemplate']);
        //更新分类下模板列表
        Router::post('/upTemplate', [WebsiteController::class, 'upTemplate']);
        //删除分类下模板列表
        Router::post('/delTemplate', [WebsiteController::class, 'delTemplate']);
        //添加网站导航
        Router::post('/addWebsiteCategory', [WebsiteController::class, 'addWebsiteCategory']);
        //删除网站导航
        Router::post('/delWebsiteCategory', [WebsiteController::class, 'delWebsiteCategory']);
        //获取网站导航
        Router::get('/getAdminWebsiteCategory', [WebsiteController::class, 'getAdminWebsiteCategory']);
        //更新网站导航
        Router::post('/upWebsiteCategory', [WebsiteController::class, 'upWebsiteCategory']);
        //网站导航
        Router::get('/getWebsiteCategoryList', [WebsiteController::class, 'getWebsiteCategoryList']);
        //删除网站所有的导航
        Router::post('/delWebsiteAllCategory', [WebsiteController::class, 'delWebsiteAllCategory']);
        //查看指定的导航
        Router::get('/getWebsiteCategoryOnes', [WebsiteController::class, 'getWebsiteCategoryOnes']);
        //更新指定的某一个导航
        Router::post('/upWebsiteCategoryones', [WebsiteController::class, 'upWebsiteCategoryones']);
        //网站下的所有导航包含子导航
        Router::get('/getWebsiteAllCategory', [WebsiteController::class, 'getWebsiteAllCategory']);
        //管理后台数据统计
        Router::get('/getAdminIndex', [WebsiteController::class, 'getAdminIndex']);

        //搜索网站列表
        Router::get('/websiteList', [WebsiteController::class, 'websiteList']);
        //检测网站名称是否存在
        Router::post('/checkWebsiteName', [WebsiteController::class, 'checkWebsiteName']);
        //检测域名是否被重复解析
        Router::post('/checkWebsiteUrl', [WebsiteController::class, 'checkWebsiteUrl']);

        //获取并搜索网站
        Router::post('/getWebsiteTemplateintel', [WebsiteController::class, 'getWebsiteTemplateintel']);
        //搭建网站基础信息
        Router::post('/addWebsiteTemplateintel', [WebsiteController::class, 'addWebsiteTemplateintel']);
        //获取网站所有风格
        Router::post('/getAllTemplateClass', [WebsiteController::class, 'getAllTemplateClass']);
        //获取网站模板列表
        Router::post('/getWebsiteTemplateList', [WebsiteController::class, 'getWebsiteTemplateList']);
        //添加网站选择风格
        Router::post('/addWebsiteTemplateclassintel', [WebsiteController::class, 'addWebsiteTemplateclassintel']);
        //获取网站标识列表
        Router::get('/getWebsiteGroupList', [WebsiteController::class, 'getWebsiteGroupList']);

        //20250212  网站标识
        //添加网站标识
        Router::post('/addWebsiteGroup', [WebsiteController::class, 'addWebsiteGroup']);
        //删除网站标识
        Router::post('/deleteWebsiteGroup', [WebsiteController::class, 'deleteWebsiteGroup']);
        //修改网站标识
        Router::post('/updateWebsiteGroup', [WebsiteController::class, 'updateWebsiteGroup']);
        //获取网站标识信息
        Router::post('/getWebsiteGroupInfo', [WebsiteController::class, 'getWebsiteGroupInfo']);
        //获取网站标识下网站列表
        Router::post('/getWebsiteGroupList', [WebsiteController::class, 'getWebsiteGroupList']);
        //获取网站下导航列表
        Router::post('/getWebsiteNavList', [WebsiteController::class, 'getWebsiteNavList']);

        // 20250307 根据网站标识获取导航池
        Router::post('/getWebsiteNavPool', [WebsiteController::class, 'getWebsiteNavPool']);
        // 20250307 根据网站标识获和导航获取站点
        Router::post('/getWebsiteNavPoolSite', [WebsiteController::class, 'getWebsiteNavPoolSite']);
        //获取所有的栏目
        Router::get('/getAllCategory', [WebsiteController::class, 'getAllCategory']);
        //修改网站导航排序
        Router::post('/upWebsiteCategorySort', [WebsiteController::class, 'upWebsiteCategorySort']);
        // --自助建站-----------fr----------------------start
        //获取并搜索网站
        Router::post('/getWebsiteintel', [WebsiteController::class, 'getWebsiteintel']);
        //添加搭建网站基础信息

        //修改搭建网站基础信息
        Router::post('/upWebsiteTemplateintel', [WebsiteController::class, 'upWebsiteTemplateintel']);

        Router::post('/getWebsiteTemplateclassintel', [WebsiteController::class, 'getWebsiteTemplateclassintel']);
        //获取网站选择的模板下的板块
        Router::post('/getWebsiteSectorList', [WebsiteController::class, 'getWebsiteSectorList']);


        // 获取所有的静态资源
        Router::get('/getStaticResourceList', [WebsiteController::class, 'getStaticResourceList']);
        // 添加静态资源
        Router::post('/addStaticResource', [WebsiteController::class, 'addStaticResource']);
        // 删除静态资源
        Router::post('/delStaticResource', [WebsiteController::class, 'delStaticResource']);
        // 修改静态资源
        Router::post('/upStaticResource', [WebsiteController::class, 'upStaticResource']);

        // 获取尺寸列表
        Router::get('/getSizeList', [WebsiteController::class, 'getSizeList']);
        // 添加尺寸
        Router::post('/addSize', [WebsiteController::class, 'addSize']);
        // 删除尺寸
        Router::post('/delSize', [WebsiteController::class, 'delSize']);
        // 修改尺寸
        Router::post('/upSize', [WebsiteController::class, 'upSize']);
        // 获取尺寸详情
        Router::get('/getSizeInfo', [WebsiteController::class, 'getSizeInfo']);
        // 获取网站名称简称
        Router::get('/getWebsiteAdkey', [WebsiteController::class, 'getWebsiteAdkey']);
        // --自助建站-----------fr----------------------end

        // --网站底部基础信息-----------fr----------------------start
        Router::get('/getWebFootInfo', [WebsiteController::class, 'getWebFootInfo']);
        Router::post('/upWebFootInfo', [WebsiteController::class, 'upWebFootInfo']);
        Router::post('/addWebFootInfo', [WebsiteController::class, 'addWebFootInfo']);
        // --网站底部基础信息-----------fr----------------------end
        // --网站路由白名单-----------fr----------------------start
        Router::get('/getWhiteRouterList', [WebsiteController::class, 'getWhiteRouterList']);
        Router::post('/addWhiteRouter', [WebsiteController::class, 'addWhiteRouter']);
        Router::post('/delWhiteRouter', [WebsiteController::class, 'delWhiteRouter']);
        Router::get('/getWhiteRouterInfo', [WebsiteController::class, 'getWhiteRouterInfo']);
        Router::post('/upWhiteRouter', [WebsiteController::class, 'upWhiteRouter']);
        // 克隆网站
        Router::post('/cloneWebsite', [WebsiteController::class, 'cloneWebsite']);

        // --网站路由白名单-----------fr----------------------end
    },
    ['middleware' => [FooMiddleware::class]]
);
// --自助建站-----------fr----------------------start
Router::addGroup(
    '/website', function () {
        // 获取职能部门
        Router::post('/selectWebsiteDepartment', [WebsiteController::class, 'selectWebsiteDepartment']);
        // 获取行政区划
        Router::post('/selectWebsiteArea', [WebsiteController::class, 'selectWebsiteArea']);
    }
);
// --自助建站-----------fr----------------------end

Router::addGroup(
    '/web', function () {
    //获取网站基本信息
    Router::post('/getSiteInfo', [WebsiteController::class, 'getSiteInfo']);
    //获取网站导航池
    Router::get('/getSiteCategory', [WebsiteController::class, 'getSiteCategory']);
    //获取底部导航
    Router::get('/getFooterCategoryList', [WebsiteController::class, 'getFooterCategoryList']);
    //获取底部导航详情
    Router::get('/getFooterContentList', [WebsiteController::class, 'getFooterContentList']);
    //底部导航详情页
    Router::get('/getFooterContentInfo', [WebsiteController::class, 'getFooterContentInfo']);

},
    ['middleware' => [\App\Middleware\Auth\WebMiddleware::class]]
);
